/* soapUranusCoreEndpointProxy.h
   Generated by gSOAP 2.8.19 from Bayometric.h

Copyright(C) 2000-2014, Robert van Engelen, Genivia Inc. All Rights Reserved.
The generated code is released under one of the following licenses:
GPL or Genivia's license for commercial use.
This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
*/

#ifndef soapUranusCoreEndpointProxy_H
#define soapUranusCoreEndpointProxy_H
#include "soapH.h"

class SOAP_CMAC UranusCoreEndpointProxy : public soap
{ public:
	/// Endpoint URL of service 'UranusCoreEndpointProxy' (change as needed)
	const char *soap_endpoint;
	/// Variables globally declared in Bayometric.h (non-static)
	/// Constructor
	UranusCoreEndpointProxy();
	/// Construct from another engine state
	UranusCoreEndpointProxy(const struct soap&);
	/// Constructor with endpoint URL
	UranusCoreEndpointProxy(const char *url);
	/// Constructor with engine input+output mode control
	UranusCoreEndpointProxy(soap_mode iomode);
	/// Constructor with URL and input+output mode control
	UranusCoreEndpointProxy(const char *url, soap_mode iomode);
	/// Constructor with engine input and output mode control
	UranusCoreEndpointProxy(soap_mode imode, soap_mode omode);
	/// Destructor frees deserialized data
	virtual	~UranusCoreEndpointProxy();
	/// Initializer used by constructors
	virtual	void UranusCoreEndpointProxy_init(soap_mode imode, soap_mode omode);
	/// Delete all deserialized data (with soap_destroy and soap_end)
	virtual	void destroy();
	/// Delete all deserialized data and reset to default
	virtual	void reset();
	/// Disables and removes SOAP Header from message
	virtual	void soap_noheader();
	/// Get SOAP Header structure (NULL when absent)
	virtual	const SOAP_ENV__Header *soap_header();
	/// Get SOAP Fault structure (NULL when absent)
	virtual	const SOAP_ENV__Fault *soap_fault();
	/// Get SOAP Fault string (NULL when absent)
	virtual	const char *soap_fault_string();
	/// Get SOAP Fault detail as string (NULL when absent)
	virtual	const char *soap_fault_detail();
	/// Close connection (normally automatic, except for send_X ops)
	virtual	int soap_close_socket();
	/// Force close connection (can kill a thread blocked on IO)
	virtual	int soap_force_close_socket();
	/// Print fault
	virtual	void soap_print_fault(FILE*);
#ifndef WITH_LEAN
	/// Print fault to stream
#ifndef WITH_COMPAT
	virtual	void soap_stream_fault(std::ostream&);
#endif

	/// Put fault into buffer
	virtual	char *soap_sprint_fault(char *buf, size_t len);
#endif

	/// Web service operation 'CreateSession' (returns error code or SOAP_OK)
	virtual	int CreateSession(_ns1__CreateSession *ns1__CreateSession, _ns1__CreateSessionResponse &ns1__CreateSessionResponse) { return this->CreateSession(NULL, NULL, ns1__CreateSession, ns1__CreateSessionResponse); }
	virtual	int CreateSession(const char *endpoint, const char *soap_action, _ns1__CreateSession *ns1__CreateSession, _ns1__CreateSessionResponse &ns1__CreateSessionResponse);

	/// Web service operation 'EndSession' (returns error code or SOAP_OK)
	virtual	int EndSession(_ns1__EndSession *ns1__EndSession, _ns1__EndSessionResponse &ns1__EndSessionResponse) { return this->EndSession(NULL, NULL, ns1__EndSession, ns1__EndSessionResponse); }
	virtual	int EndSession(const char *endpoint, const char *soap_action, _ns1__EndSession *ns1__EndSession, _ns1__EndSessionResponse &ns1__EndSessionResponse);

	/// Web service operation 'RegisterPerson' (returns error code or SOAP_OK)
	virtual	int RegisterPerson(_ns1__RegisterPerson *ns1__RegisterPerson, _ns1__RegisterPersonResponse &ns1__RegisterPersonResponse) { return this->RegisterPerson(NULL, NULL, ns1__RegisterPerson, ns1__RegisterPersonResponse); }
	virtual	int RegisterPerson(const char *endpoint, const char *soap_action, _ns1__RegisterPerson *ns1__RegisterPerson, _ns1__RegisterPersonResponse &ns1__RegisterPersonResponse);

	/// Web service operation 'UnregisterPerson' (returns error code or SOAP_OK)
	virtual	int UnregisterPerson(_ns1__UnregisterPerson *ns1__UnregisterPerson, _ns1__UnregisterPersonResponse &ns1__UnregisterPersonResponse) { return this->UnregisterPerson(NULL, NULL, ns1__UnregisterPerson, ns1__UnregisterPersonResponse); }
	virtual	int UnregisterPerson(const char *endpoint, const char *soap_action, _ns1__UnregisterPerson *ns1__UnregisterPerson, _ns1__UnregisterPersonResponse &ns1__UnregisterPersonResponse);

	/// Web service operation 'Search' (returns error code or SOAP_OK)
	virtual	int Search(_ns1__Search *ns1__Search, _ns1__SearchResponse &ns1__SearchResponse) { return this->Search(NULL, NULL, ns1__Search, ns1__SearchResponse); }
	virtual	int Search(const char *endpoint, const char *soap_action, _ns1__Search *ns1__Search, _ns1__SearchResponse &ns1__SearchResponse);

	/// Web service operation 'SearchEx' (returns error code or SOAP_OK)
	virtual	int SearchEx(_ns1__SearchEx *ns1__SearchEx, _ns1__SearchExResponse &ns1__SearchExResponse) { return this->SearchEx(NULL, NULL, ns1__SearchEx, ns1__SearchExResponse); }
	virtual	int SearchEx(const char *endpoint, const char *soap_action, _ns1__SearchEx *ns1__SearchEx, _ns1__SearchExResponse &ns1__SearchExResponse);

	/// Web service operation 'CancelSearch' (returns error code or SOAP_OK)
	virtual	int CancelSearch(_ns1__CancelSearch *ns1__CancelSearch, _ns1__CancelSearchResponse &ns1__CancelSearchResponse) { return this->CancelSearch(NULL, NULL, ns1__CancelSearch, ns1__CancelSearchResponse); }
	virtual	int CancelSearch(const char *endpoint, const char *soap_action, _ns1__CancelSearch *ns1__CancelSearch, _ns1__CancelSearchResponse &ns1__CancelSearchResponse);

	/// Web service operation 'GetRegisteredPersons' (returns error code or SOAP_OK)
	virtual	int GetRegisteredPersons(_ns1__GetRegisteredPersons *ns1__GetRegisteredPersons, _ns1__GetRegisteredPersonsResponse &ns1__GetRegisteredPersonsResponse) { return this->GetRegisteredPersons(NULL, NULL, ns1__GetRegisteredPersons, ns1__GetRegisteredPersonsResponse); }
	virtual	int GetRegisteredPersons(const char *endpoint, const char *soap_action, _ns1__GetRegisteredPersons *ns1__GetRegisteredPersons, _ns1__GetRegisteredPersonsResponse &ns1__GetRegisteredPersonsResponse);
};
#endif
